#include <iostream>

using namespace std;

void spoji(int niz[], int levo, int sredina, int desno)
{
    int pom1 = sredina - levo + 1;
    int pom2 = desno - sredina;
    int *levi_niz = new int[pom1], *desni_niz = new int[pom2];
    int i, j;
    for (i = 0; i < pom1; i++)
        levi_niz[i] = niz[levo + i];
    for (j = 0; j < pom2; j++)
        desni_niz[j] = niz[sredina + 1 + j];
    i = 0;
    j = 0;
    int k = levo;
    while (i < pom1 && j < pom2) {
        if (levi_niz[i] <= desni_niz[j]) {
            niz[k] = levi_niz[i];
            i ++;
        }
        else {
            niz[k] = desni_niz[j];
            j ++;
        }
        k ++;
    }
    while (i < pom1) {
        niz[k] = levi_niz[i];
        i ++;
        k ++;
    }
    while(j < pom2) {
        niz[k] = desni_niz[j];
        j++;
        k++;
    }
    delete[] levi_niz;
    delete[] desni_niz;
}

void mergeSort(int niz[], int pocetak, int kraj)
{
    if (pocetak >= kraj){
        return;
    }
    int sredina = pocetak + (kraj - pocetak) / 2;
    mergeSort(niz, pocetak, sredina);
    mergeSort(niz, sredina + 1, kraj);
    spoji(niz, pocetak, sredina, kraj);
}

int main()
{
    int n, q, i, j;
    cin >> n >> q;
    int a[100], b[100], pom[100], res[100];
    for(i = 0; i < n; i ++){
        cin >> a[i];
    }
    mergeSort(a, 0, n - 1);
    if(n % 2 == 0){
        for(i = 0; i < n / 2; i ++){
            pom[n / 2 + i] = 0 + i * 2;
            pom[n / 2 - 1 - i] = 1 + i * 2;
        }
    }
    else{
        pom[n / 2] = 0;
        for(i = 0; i < n / 2; i ++){
            pom[n / 2 + 1 + i] = 1 + i * 2;
            pom[n / 2 - 1 - i] = 2 + i * 2;
        }
    }
    for(i = 0; i < q; i ++){
        cin >> b[i];
        if(b[i] == a[n / 2]) res[i] = pom[n / 2];
        else if(b[i] < a[0]) res[i] = pom[0] + 2;
        else if(b[i] > a[n - 1]) res[i] = pom[n - 1] + 2;
        else if(b[i] > a[n / 2]){
            j = 0;
            while(b[i] > a[n / 2 + j] && b[i] < a[n / 2 + j + 1]){
                j ++;
            }
            res[i] = pom[n / 2 + j + 1];
        }
        else if(b[i] < a[n / 2]){
            j = 0;
            while(b[i] < a[n / 2 - j] && b[i] > a[n / 2 - j - 1]){
                j ++;
            }
            res[i] = pom[n / 2 - j - 1];
        }
    }
    for(i = 0; i < q; i ++){
        cout << res[i] << endl;
    }
    return 0;
}